<template name="usersCourselist">
  <div class="page-component page-component-seperated profile-courselist">
    {{#if isInvolved}}
      <h3 class="badge-title">
        {{#if ownProfile}}
          {{i18n 'users.courselist.myCourses' 'I am involved in the following courses'}}
        {{else}}
          {{i18n 'users.courselist.userCourses' '{NAME} is involved in the following courses' NAME=getName}}
        {{/if}}
      </h3>
      {{#if Template.subscriptionsReady}}
        <div>
          {{#each role in roles}}
            {{#if coursesByRoleCount role.type false}}
              <a class="badge role-label js-scroll" href="#{{role.type}}">
                <span class="{{role.icon}} fa-fw" aria-hidden="true"></span>
                {{roleShort role.type}}
                <span class="fa-solid fa-arrow-down fa-fw" aria-hidden="true"></span>
                {{coursesByRoleCount role.type}}
              </a>
            {{/if}}
          {{/each}}
        </div>
        {{#each role in roles}}
          {{#if coursesByRoleCount role.type false}}
            <h3 id="{{role.type}}">
              <div class="badge">
                <span class="{{role.icon}} fa-fw" aria-hidden="true"></span>
              </div>
              {{#if ownProfile}}
                {{i18n (roleMyList role.type)}}
              {{else}}
                {{i18n (roleUserList role.type) NAME=user.getDisplayName}}
              {{/if}}
            </h3>
            {{> courseList courses=(coursesByRole role.type false) small=true}}
          {{/if}}
        {{/each}}
        {{#each role in roles}}
          {{#if showArchived role}}
            {{#if coursesByRoleCount role.type true}}
              <h3 id="{{role.type}}_archived">
                <div class="badge is-archived">
                  <span class="{{role.icon}} fa-fw" aria-hidden="true"></span>
                </div>
                {{#if ownProfile}}
                  {{i18n (roleMyListPast role.type)}}
                {{else}}
                  {{i18n (roleUserListPast role.type) NAME=user.getDisplayName}}
                {{/if}}
              </h3>
              {{> courseList courses=(coursesByRole role.type true) small=true}}
            {{/if}}
          {{/if}}
        {{/each}}
      {{else}}
        {{> loadingPage}}
      {{/if}}
    {{/if}}
  </div>
</template>
